## kinfocenter 6.5.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(kinfocenter)
set(PROJECT_VERSION "6.5.2")

set(QT_MIN_VERSION "6.9.0")

set(KF6_MIN_VERSION "6.18.0")
find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH}  ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(FeatureSummary)
include(KDEClangFormat)
include(ECMFindQmlModule)
include(KDEGitCommitHooks)
include(ECMSetupQtPluginMacroNames)
include(ECMQueryQt)
include(ECMDeprecationSettings)
include(ECMQmlModule)

option(BUILD_DOC "Whether to build the documentation" ON)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Gui Widgets)

find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
    Config
    CoreAddons
    I18n
    KCMUtils
    KIO
    Service
    Solid
    Auth
)

find_package(PkgConfig)
pkg_check_modules(libdrm REQUIRED IMPORTED_TARGET libdrm)

if(CMAKE_SYSTEM_NAME MATCHES "Linux")
    find_package(UDev REQUIRED COMPONENTS UDev)
endif()

ecm_find_qmlmodule(org.kde.kirigami 2.5)

macro(kinfocenter_add_kcm target)
    kcmutils_add_qml_kcm(${target} DISABLE_DESKTOP_FILE_GENERATION SOURCES ${ARGN} INSTALL_NAMESPACE plasma/kcms/kinfocenter)
endmacro()

if(BUILD_DOC)
    find_package(KF6DocTools ${KF6_MIN_VERSION})
    set_package_properties(KF6DocTools PROPERTIES
        DESCRIPTION "Tools to generate documentation"
        TYPE REQUIRED
    )
endif()

find_package(SystemSettings QUIET)
set_package_properties(SystemSettings PROPERTIES
    DESCRIPTION "Plasma's SystemSettings"
    TYPE RUNTIME
    PURPOSE "Absolutely required because the KInfoCenter binary is a symlink to it!"
)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

remove_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_FROM_BYTEARRAY -DQT_NO_KEYWORDS)
add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
add_definitions(-DQT_USE_QSTRINGBUILDER)
ecm_set_disabled_deprecation_versions(QT 6.8.0
    KF 6.9.0
)


ecm_query_qt(QtBinariesDir QT_INSTALL_BINS)

add_subdirectory( appiumtests )
add_subdirectory( categories )
add_subdirectory( kcms )
add_subdirectory(src)

if(BUILD_DOC)
    add_subdirectory(doc)
    kdoctools_install(po)
endif()

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

##install

install( FILES org.kde.kinfocenter.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install( PROGRAMS org.kde.kinfocenter.desktop  DESTINATION  ${KDE_INSTALL_APPDIR} )

ADD_CUSTOM_TARGET(kinfocenter_link ALL
                  COMMAND ${CMAKE_COMMAND} -E create_symlink ${KDE_INSTALL_FULL_BINDIR}/systemsettings ${CMAKE_CURRENT_BINARY_DIR}/kinfocenter)

install( FILES ${CMAKE_CURRENT_BINARY_DIR}/kinfocenter DESTINATION ${KDE_INSTALL_FULL_BINDIR}/ )

ki18n_install(po)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2021 Harald Sitter <sitter@kde.org>

add_definitions(-DTRANSLATION_DOMAIN=\"kinfocenter\")
add_library(KInfoCenterInternal SHARED CommandOutputContext.cpp CommandOutputContext.h)
target_link_libraries(KInfoCenterInternal PRIVATE Qt::Qml KF6::I18n KF6::CoreAddons)
target_include_directories(KInfoCenterInternal INTERFACE "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>")

# NB: this is a private library that may not be linked to. Symbol visibility is of no concern. Neither is versioning.
set_target_properties(KInfoCenterInternal
    PROPERTIES
        C_VISIBILITY_PRESET default
        CXX_VISIBILITY_PRESET default
        VISIBILITY_INLINES_HIDDEN OFF)

ecm_add_qml_module(KInfoCenterInternal
    URI "org.kde.kinfocenter.private"
    VERSION 1.0
    GENERATE_PLUGIN_SOURCE
    QML_FILES qml/CommandOutputKCM.qml
)
ecm_finalize_qml_module(KInfoCenterInternal)

install(TARGETS KInfoCenterInternal ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)

=== kcms/xserver/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2021 Harald Sitter <sitter@kde.org>

find_package(xdpyinfo)
set_package_properties(xdpyinfo PROPERTIES TYPE RUNTIME)

add_definitions(-DTRANSLATION_DOMAIN=\"kcm_xserver\")

kinfocenter_add_kcm(kcm_xserver main.cpp)
target_link_libraries(kcm_xserver PRIVATE KF6::CoreAddons KF6::KCMUtilsQuick KF6::I18n KInfoCenterInternal)

=== debian/changelog ===
kinfocenter (4:6.5.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Nov 2025 17:11:26 +0000

kinfocenter (4:6.5.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 29 Oct 2025 05:45:41 +0000

kinfocenter (4:6.5.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 20 Oct 2025 18:36:23 +0100

=== debian/control ===
Source: kinfocenter
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               libdrm-dev,
               libegl-dev,
               libkf6auth-dev (>= 6.18.0~),
               libkf6config-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6doctools-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6kcmutils-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6service-dev (>= 6.18.0~),
               libkf6solid-dev (>= 6.18.0~),
               libusb-1.0-0-dev,
               pkgconf,
               qml6-module-org-kde-kirigami (>= 6.18.0~),
               qt6-base-dev (>= 6.9.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/kinfocenter
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kinfocenter
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kinfocenter
Rules-Requires-Root: no

Package: kinfocenter
Architecture: any
Depends: plasma-workspace (>= 4:6.3.0~),
         libkf6kcmutils-bin,
         qml6-module-org-kde-kirigami,
         systemsettings,
         usb.ids,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: aha,
            clinfo [linux-any],
            dmidecode [any-amd64 arm64 armhf any-i386 loong64 riscv64 x32],
            edid-decode,
            iproute2 [linux-any],
            libdisplay-info-bin,
            pciutils,
            pulseaudio-utils,
            mesa-utils,
            mesa-utils-extra,
            vulkan-tools [linux-any],
            wayland-utils [linux-any],
            x11-utils,
Suggests: samba,
Description: system information viewer
 The kinfocenter provides you with a centralized and convenient
 overview of your system and desktop environment.
 .
 The information center is made up of multiple modules.  Each module is a
 separate application, but the information center organizes all of these
 programs into a convenient location.

## kinfocenter 6.5.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(kinfocenter)
-set(PROJECT_VERSION "6.5.2")
+set(PROJECT_VERSION "6.5.3")
 
 set(QT_MIN_VERSION "6.9.0")

=== debian/changelog ===
kinfocenter (4:6.5.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 18 Nov 2025 19:23:03 +0100

kinfocenter (4:6.5.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Migrate to debian/watch version 5 syntax.
  * Add/update David Edmundson’s key in upstream keyring.
  * New upstream release (6.5.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 04 Nov 2025 21:22:51 +0100

## kinfocenter 6.5.3+p24.04+vunstable+git20251201.0244

=== debian/changelog ===
kinfocenter (4:6.5.3+p24.04+vunstable+git20251201.0244-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 01 Dec 2025 02:44:34 +0000

kinfocenter (4:6.5.3-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 09:15:37 +1000

kinfocenter (4:6.5.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 19:14:38 +1000

## kinfocenter 6.5.3+p24.04+vunstable+git20251204.0606

=== debian/changelog ===
kinfocenter (4:6.5.3+p24.04+vunstable+git20251204.0606-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 06:06:36 +0000

## kinfocenter 6.5.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(kinfocenter)
-set(PROJECT_VERSION "6.5.3")
+set(PROJECT_VERSION "6.5.4")
 
 set(QT_MIN_VERSION "6.9.0")

=== debian/changelog ===
kinfocenter (4:6.5.4-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Dec 2025 11:17:09 +0000

kinfocenter (4:6.5.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Nov 2025 12:06:46 +0000

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.18.0~),
                gettext,
                libdrm-dev,
@@ -33,8 +33,8 @@
 
 Package: kinfocenter
 Architecture: any
-Depends: plasma-workspace (>= 4:6.3.0~),
-         libkf6kcmutils-bin,
+Depends: libkf6kcmutils-bin,
+         plasma-workspace (>= 4:6.3.0~),
          qml6-module-org-kde-kirigami,
          systemsettings,
          usb.ids,
@@ -46,10 +46,10 @@
             edid-decode,
             iproute2 [linux-any],
             libdisplay-info-bin,
+            mesa-utils,
+            mesa-utils-extra,
             pciutils,
             pulseaudio-utils,
-            mesa-utils,
-            mesa-utils-extra,
             vulkan-tools [linux-any],
             wayland-utils [linux-any],
             x11-utils,

## kinfocenter 6.5.4+p24.04+vstable+git20251231.0148

=== debian/changelog ===
kinfocenter (4:6.5.4+p24.04+vstable+git20251231.0148-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 01:48:54 +0000

kinfocenter (4:6.5.4-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 20:23:58 +1000

## kinfocenter 6.5.4+p24.04+vstable+git20260103.0421

=== debian/changelog ===
kinfocenter (4:6.5.4+p24.04+vstable+git20260103.0421-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 04:21:53 +0000

## kinfocenter 6.5.4+p24.04+vstable+git20260105.0903

=== debian/changelog ===
kinfocenter (4:6.5.4+p24.04+vstable+git20260105.0903-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 09:03:08 +0000

## kinfocenter 6.5.4+p24.04+vstable+git20260107.0818

=== debian/changelog ===
kinfocenter (4:6.5.4+p24.04+vstable+git20260107.0818-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 08:18:32 +0000

## kinfocenter 6.5.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(kinfocenter)
-set(PROJECT_VERSION "6.5.4")
+set(PROJECT_VERSION "6.5.5")
 
 set(QT_MIN_VERSION "6.9.0")

=== debian/changelog ===
kinfocenter (4:6.5.5-0ubuntu4) resolute; urgency=medium

  * No-change rebuild for Qt 6.10.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Wed, 18 Feb 2026 07:22:05 +0000

kinfocenter (4:6.5.5-0ubuntu3) resolute; urgency=medium

  * Add lm-sensors to fix the sensors module. (LP: 2133448) 

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 13 Feb 2026 05:14:50 -0700

kinfocenter (4:6.5.5-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 22:08:04 +0000

kinfocenter (4:6.5.5-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Jan 2026 14:54:45 +0000

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.18.0~),
                gettext,
                libdrm-dev,
@@ -46,6 +46,7 @@
             edid-decode,
             iproute2 [linux-any],
             libdisplay-info-bin,
+            lm-sensors,
             mesa-utils,
             mesa-utils-extra,
             pciutils,

## kinfocenter 6.5.5+p24.04+vstable+git20260130.0846

=== debian/changelog ===
kinfocenter (4:6.5.5+p24.04+vstable+git20260130.0846-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 08:46:54 +0000

kinfocenter (4:6.5.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 06:33:04 +1000

## kinfocenter 6.5.5+p24.04+vstable+git20260201.0221

=== debian/changelog ===
kinfocenter (4:6.5.5+p24.04+vstable+git20260201.0221-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 02:21:55 +0000

## kinfocenter 6.5.5+p24.04+vunstable+git20260130.1109

=== debian/changelog ===
kinfocenter (4:6.5.5+p24.04+vunstable+git20260130.1109-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 11:09:17 +0000

## kinfocenter 6.5.5+p24.04+vunstable+git20260204.0845

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(kinfocenter)
-set(PROJECT_VERSION "6.5.5")
+set(PROJECT_VERSION "6.6.80")
 
-set(QT_MIN_VERSION "6.9.0")
+set(QT_MIN_VERSION "6.10.0")
 
-set(KF6_MIN_VERSION "6.18.0")
+set(KF6_MIN_VERSION "6.22.0")
 find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH}  ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

=== debian/changelog ===
kinfocenter (4:6.5.5+p24.04+vunstable+git20260204.0845-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 04 Feb 2026 08:45:26 +0000

## kinfocenter 6.6.1

=== debian/changelog ===
kinfocenter (4:6.6.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.0)
  * New upstream release (6.6.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 28 Feb 2026 22:13:10 +0000

=== debian/control ===
--- 
+++ 
@@ -8,23 +8,23 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf6,
-               extra-cmake-modules (>= 6.18.0~),
+               extra-cmake-modules (>= 6.22.0~),
                gettext,
                libdrm-dev,
                libegl-dev,
-               libkf6auth-dev (>= 6.18.0~),
-               libkf6config-dev (>= 6.18.0~),
-               libkf6coreaddons-dev (>= 6.18.0~),
-               libkf6doctools-dev (>= 6.18.0~),
-               libkf6i18n-dev (>= 6.18.0~),
-               libkf6kcmutils-dev (>= 6.18.0~),
-               libkf6kio-dev (>= 6.18.0~),
-               libkf6service-dev (>= 6.18.0~),
-               libkf6solid-dev (>= 6.18.0~),
+               libkf6auth-dev (>= 6.22.0~),
+               libkf6config-dev (>= 6.22.0~),
+               libkf6coreaddons-dev (>= 6.22.0~),
+               libkf6doctools-dev (>= 6.22.0~),
+               libkf6i18n-dev (>= 6.22.0~),
+               libkf6kcmutils-dev (>= 6.22.0~),
+               libkf6kio-dev (>= 6.22.0~),
+               libkf6service-dev (>= 6.22.0~),
+               libkf6solid-dev (>= 6.22.0~),
                libusb-1.0-0-dev,
                pkgconf,
-               qml6-module-org-kde-kirigami (>= 6.18.0~),
-               qt6-base-dev (>= 6.9.0~),
+               qml6-module-org-kde-kirigami (>= 6.22.0~),
+               qt6-base-dev (>= 6.10.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/kinfocenter
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kinfocenter

## kinfocenter 6.6.2

=== debian/changelog ===
kinfocenter (4:6.6.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Mar 2026 12:21:37 +0000

=== debian/control ===
--- 
+++ 
@@ -34,9 +34,9 @@
 Package: kinfocenter
 Architecture: any
 Depends: libkf6kcmutils-bin,
-         plasma-workspace (>= 4:6.3.0~),
+         plasma-workspace (>= 4:6.6.0~),
          qml6-module-org-kde-kirigami,
-         systemsettings,
+         systemsettings (>= 4:6.6.0~),
          usb.ids,
          ${misc:Depends},
          ${shlibs:Depends},
